package xunji

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/xunji"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /xunji/update xunji UpdateXunji
//
// Update xunji information | 更新Xunji
//
// Update xunji information | 更新Xunji
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: XunjiInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateXunjiHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.XunjiInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := xunji.NewUpdateXunjiLogic(r.Context(), svcCtx)
		resp, err := l.UpdateXunji(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
